# Some Qt modules also load plugin target in extra config, so check whether the target already exists
if(NOT TARGET Qt5::QWindowsPrinterSupportPlugin)
    add_library(Qt5::QWindowsPrinterSupportPlugin MODULE IMPORTED)

    _populate_PrintSupport_plugin_properties(Qt5::PrintSupport Qt5::QWindowsPrinterSupportPlugin QWindowsPrinterSupportPlugin RELEASE "printsupport/windowsprintersupport.dll")

    list(APPEND Qt5PrintSupport_PLUGINS Qt5::QWindowsPrinterSupportPlugin)

endif()
